Bug 458549 - smartmontools update brings trouble with smartmontools-config
smartmontools update brings trouble with smartmontools-config
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-09 15:09 EDT by Michal Jaegermann
Modified: 2008-08-13 05:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 05:05:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-08-09 15:09:13 EDT
Description of problem:

An update of smartmontools does not have smartools-config anywhere
in sight, and that includes "provides" and/or "obsoletes".  This will
be a problem for all machines where smartmontools-config was
installed (and the later is, or maybe was, practically required
for an affective use of former). 

Version-Release number of selected component (if applicable):
smartmontools-5.38-6.fc10
Comment 1 Tomas Smetana 2008-08-11 01:51:15 EDT
You're right.  I must obsolete smartmontools-config.  Thanks for reporting.
Comment 2 Quentin Armitage 2008-08-11 18:30:46 EDT
Version 5.38-7.fc10 does not obsolete smartmontools-config, despite comment for update. See below for output on attempting to upgrade:

Examining smartmontools-5.38-7.fc10.i386.rpm: 1:smartmontools-5.38-7.fc10.i386
Marking smartmontools-5.38-7.fc10.i386.rpm as an update to 1:smartmontools-5.38-4.1.fc10.i386
Resolving Dependencies
--> Running transaction check
---> Package smartmontools.i386 1:5.38-7.fc10 set to be updated
--> Processing Dependency: smartmontools = 1:5.38-4.1.fc10 for package: smartmontools-config
--> Finished Dependency Resolution
1:smartmontools-config-5.38-4.1.fc10.i386 from installed has depsolving problems
  --> Missing Dependency: smartmontools = 1:5.38-4.1.fc10 is needed by package 1:smartmontools-config-5.38-4.1.fc10.i386 (installed)
Error: Missing Dependency: smartmontools = 1:5.38-4.1.fc10 is needed by package 1:smartmontools-config-5.38-4.1.fc10.i386 (installed)

Do the Obsoletes: entries in the .spec file need to be on separate lines or separated by commas?
Comment 3 Tomas Smetana 2008-08-12 03:57:59 EDT
(In reply to comment #2)
> Version 5.38-7.fc10 does not obsolete smartmontools-config, despite comment for
> update.

Strange: rpm -U works yum localupdate does not.
Comment 4 Tomas Smetana 2008-08-13 05:05:05 EDT
There was a bug in yum. So please make sure you have up-to-date yum and rpm, then the upgrade should work:

[tsmetana@dhcp-lab-208 i386]$ sudo yum update smartmontools
Loaded plugins: refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package smartmontools.i386 1:5.38-7.fc10 set to be updated
--> Processing Dependency: smartmontools = 1:5.38-1.fc10 for package: smartmontools-config
--> Running transaction check
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 smartmontools           i386       1:5.38-7.fc10    rawhide           342 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 342 k
Is this ok [y/N]: y
Downloading Packages:
smartmontools-5.38-7.fc10.i386.rpm                                                                                                                          | 342 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : smartmontools                                     [1/3] 
  Cleanup        : smartmontools                                     [2/3] 
  Erasing        : smartmontools-config                              [3/3] 

Updated: smartmontools.i386 1:5.38-7.fc10
Replaced: smartmontools-config.i386 1:5.38-1.fc10
Complete!

Note You need to log in before you can comment on or make changes to this bug.